summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-10-07 01:54:33 +0200
committerNeels Hofmeyr <nhofmeyr@sysmocom.de>2016-10-07 01:54:33 +0200
commitfffc742777f8942b833ab46f8b0b1499ad57713a (patch)
treea46d7e667cff4a53cbfdc2ec925e8e5a5ce7c7aa /contrib
parentff8ca58821276dd1eeaa20f7472e071cb253a3e5 (diff)
jenkins.sh: use osmo-build-dep.sh, log test failures
Like in libosmo-abis' and other jenkins.sh Change-Id: I1b03786069cc4373dec73711e3a31ec05dfac2e3
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins.sh39
1 files changed, 25 insertions, 14 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index fb4e2f2..588634e 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -2,20 +2,31 @@
set -ex
-rm -rf deps/install
-mkdir deps || true
-cd deps
-osmo-deps.sh libosmocore
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
-cd libosmocore
-autoreconf --install --force
-./configure --prefix=$PWD/../install
-$MAKE $PARALLEL_MAKE install
+mkdir "$deps" || true
+rm -rf "$inst"
-cd ../../
-autoreconf --install --force
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig ./configure --enable-vty-tests --enable-external-tests
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig $MAKE $PARALLEL_MAKE
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE check
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE distcheck
+osmo-build-dep.sh libosmocore
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-sip-connector ==============================="
+echo
+set -x
+
+autoreconf --install --force
+./configure --enable-vty-tests --enable-external-tests
+$MAKE $PARALLEL_MAKE
+$MAKE check \
+ || cat-testlogs.sh
+$MAKE distcheck \
+ || cat-testlogs.sh